#
# spec file for package perl-Config-Tiny
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-Config-Tiny
%define cpan_name Config-Tiny
Summary:        Read/Write .ini style files with as little code as possible
Version:        2.14
Release:        13.2
License:        GPL+ or Artistic
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Config-Tiny/
#Source:         http://www.cpan.org/authors/id/A/AD/ADAMK/Config-Tiny-%{version}.tar.gz
Source:         %{cpan_name}-%{version}.tar.bz2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
'Config::Tiny' is a perl class to read and write .ini style configuration
files with as little code as possible, reducing load time and memory
overhead. Most of the time it is accepted that Perl applications use a lot
of memory and modules. The '::Tiny' family of modules is specifically
intended to provide an ultralight alternative to the standard modules.

This module is primarily for reading human written files, and anything we
write shouldn't need to have documentation/comments. If you need something
with more power move up to the Config::Simple manpage, the Config::General
manpage or one of the many other 'Config::' modules. To rephrase, the
Config::Tiny manpage does *not* preserve your comments, whitespace, or the
order of your config file.




Authors:
--------
     Adam Kennedy <adamk@cpan.org>

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files -f %{name}.files
%defattr(-,root,root,-)
%doc Changes LICENSE README

%changelog
* Thu Mar 24 2011 pascal.bleser@opensuse.org
- update to 2.14:
  * fix RT#63080: module can write multiline values but not read them
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Wed Nov 24 2010 chris@computersalat.de
- update to 2.13
  - Resolved #60703: Display glitch in Config::Tiny 2.12 POD
  - Resolved #40585: member 'set;' doesn't exist
  - Resolved #30479: does not warn or die when writing data it
- created by cpanspec 1.78
- noarch pkg
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Sat Jan 19 2008 gerrit.beine@googlemail.com
- moved to openSUSE Build Service
* Thu Dec  6 2007 gerrit@beine-computer.de
- first release 2.12
